<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>Budget Realized</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar_reports::sidebar_reports" th:remove="tag"> sidebar </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Budget realized
                </div>
            </div>
        </div>

        <form method="get">
            <div class="row">

                <div class="col-md-7">
                    <div class="mb-3">
                        <select class="form-select" id="selectsatu" name="periodeAnggaran">
                            <option th:each="data : ${listPeriodeAnggaran}"
                                    th:selected="(${data} == *{priodeAnggaranSelected})"
                                    th:text="${'('+ data.kodePeriodeAnggaran +')'  + '       -       ' +  data.namaPeriodeAnggaran}"
                                    th:value="${data.id}">sdasd</option>
                        </select>
                        <!--                            <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">-->
                    </div>
                </div>
                <div class="col-md-1" align="right">
                    <input type="hidden" name="departemen" th:value="${departemen}">
                    <button type="submit" class="btn btn-default" style="--bs-btn-bg: #e8ecf1">Search</button>
                </div>

                <div class="col-md-4" align="right">
                    <input class="form-control me-2" type="text" placeholder="Search" name="search" th:value="${search}" aria-label="Search">
                    <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
                </div>
            </div>
            <br>
        </form>

        <div class="row">
            <div class="col-md-12">
                <div class="tableFixHead">
                    <table class="table table-hover small">
                        <thead class="table-dark" style="--bs-table-bg:#15408d;">
                        <tr>
                            <th scope="col" style="width: 10px">#</th>
                            <th scope="col" style="width: 100px">Code</th>
                            <th scope="col" >Name</th>
                            <th scope="col" style="width: 150px">Total Budget</th>
                            <th scope="col" style="width: 150px">Total Realized</th>
                            <th scope="col" style="width: 150px">Total Available</th>
                        </tr>
                        </thead>
                        <tbody th:each="dataRealisasiBudget,row : ${listRealisasiBudget}">
                        <tr>
                            <td class="table-dark" style="--bs-table-bg:#557ec7;" th:text="${(row.index + 1)}">1.</td>
                            <td class="table-dark" style="--bs-table-bg:#557ec7;" th:text="${dataRealisasiBudget[1]}">BEASISWA</td>
                            <td class="table-dark" style="--bs-table-bg:#557ec7;" th:text="${dataRealisasiBudget[2]}">Pendapatan dari Beasiswa</td>
                            <td class="table-dark" style="--bs-table-bg:#557ec7;" th:text="${#numbers.formatDecimal(dataRealisasiBudget[3], 0, 'POINT', 2, 'COMMA')}" align="right">-</td>
                            <td class="table-dark" style="--bs-table-bg:#557ec7;" th:text="${#numbers.formatDecimal(dataRealisasiBudget[4], 0, 'POINT', 2, 'COMMA')}" align="right">-</td>
                            <td class="table-dark" style="--bs-table-bg:#557ec7;" th:text="${#numbers.formatDecimal(dataRealisasiBudget[5], 0, 'POINT', 2, 'COMMA')}" align="right">-</td>
                        </tr>
                        <tr>
                            <th class="table-light" style="--bs-table-bg:#c7d9fa;"></th>
                            <th class="table-light" style="--bs-table-bg:#c7d9fa;"></th>
                            <th class="table-light" style="--bs-table-bg:#c7d9fa;">Detail</th>
                            <th class="table-light" style="--bs-table-bg:#c7d9fa; width: 150px">Budget</th>
                            <th class="table-light" style="--bs-table-bg:#c7d9fa; width: 150px">Realized</th>
                            <th class="table-light" style="--bs-table-bg:#c7d9fa; width: 150px">Available</th>
                        </tr>
                        <tr th:each="dataRealisasiBudgerDetail,row : ${listRealisasiBudgerDetail}">
                            <td colspan="2" th:if="${dataRealisasiBudgerDetail[0]} == ${dataRealisasiBudget[0]}"></td>
                            <td th:if="${dataRealisasiBudgerDetail[0]} == ${dataRealisasiBudget[0]}" th:text="${dataRealisasiBudgerDetail[3]}">BEASISWA</td>
                            <td th:if="${dataRealisasiBudgerDetail[0]} == ${dataRealisasiBudget[0]}" th:text="${#numbers.formatDecimal(dataRealisasiBudgerDetail[4], 0, 'POINT', 2, 'COMMA')}" align="right">-</td>
                            <td th:if="${dataRealisasiBudgerDetail[0]} == ${dataRealisasiBudget[0]}"  th:text="${#numbers.formatDecimal(dataRealisasiBudgerDetail[5], 0, 'POINT', 2, 'COMMA')}" align="right">-</td>
                            <td th:if="${dataRealisasiBudgerDetail[0]} == ${dataRealisasiBudget[0]}"  th:text="${#numbers.formatDecimal(dataRealisasiBudgerDetail[6], 0, 'POINT', 2, 'COMMA')}" align="right">-</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <br>

<!--                <nav aria-label="Page navigation example">-->
<!--                    <ul class="pagination" sd:pagination="full">-->
<!--                    </ul>-->
<!--                </nav>-->
            </div>
        </div>

    </main>
</main>

</body>
</html>

<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Budget Realized</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Budget Realized-->
<!--        <small>List Data</small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Reports</li>-->
<!--        <li class="active"> Budget Realized</li>-->
<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->


<!--    <div class="row">-->
<!--        <div class="col-md-12">-->
<!--            <div class="nav-tabs-custom">-->
<!--                <ul class="nav nav-tabs">-->
<!--                    <li class="active"><a href="#timeline" data-toggle="tab">Budget Realized</a></li>-->
<!--                </ul>-->
<!--                <div class="tab-content">-->
<!--                    <div class="active tab-pane" id="timeline">-->
<!--                        &lt;!&ndash; The timeline &ndash;&gt;-->
<!--                        <div class="box-header with-border">-->
<!--                            <div class = "col-md-6">-->
<!--                            </div>-->
<!--                            <div class = "col-md-6">-->
<!--                                <form method="get">-->
<!--                                    <div class="form-group">-->
<!--                                        <label for="periodeAnggaran" class="col-sm-2 control-label">Period</label>-->

<!--                                        <div class="col-sm-8">-->
<!--                                            <select class="form-control select2" name="periodeAnggaran" id="periodeAnggaran" style="width: 100%;">-->
<!--                                                <option th:each="data : ${listPeriodeAnggaran}"-->
<!--                                                        th:selected="(${data} == *{priodeAnggaranSelected})"-->
<!--                                                        th:text="${'('+ data.kodePeriodeAnggaran +')'  + '       -       ' +  data.namaPeriodeAnggaran}"-->
<!--                                                        th:value="${data.id}">sdasd</option>-->
<!--                                            </select>-->
<!--                                        </div>-->

<!--                                        <div class="col-sm-2">-->
<!--                                            <button type="submit" class="btn btn-default">Chose</button>-->
<!--                                        </div>-->
<!--                                    </div>-->
<!--                                    <input type="hidden" id="departemen" name="departemen" th:value="${departemen}">-->
<!--                                </form>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                        </form>-->
<!--                        <br>-->
<!--                        <div class="box-body no-padding">-->
<!--                            <div class="box-body table-responsive no-padding">-->
<!--                                <table class="table table-bordered">-->
<!--                                    <tr th:each="dataRealisasiBudget,row : ${listRealisasiBudget}">-->
<!--                                        <td>-->
<!--                                            <table class="table table-bordered">-->
<!--                                                <tr>-->
<!--                                                    <th style="width: 10px">#</th>-->
<!--                                                    <th style="width: 100px">Code</th>-->
<!--                                                    <th>Name</th>-->
<!--                                                    <th style="width: 150px">Total Budget</th>-->
<!--                                                    <th style="width: 150px">Total Realized</th>-->
<!--                                                    <th style="width: 150px">Total Available</th>-->
<!--                                                <tr>-->
<!--                                                    <td th:text="${(row.index + 1)}">1.</td>-->
<!--                                                    <td th:text="${dataRealisasiBudget[1]}">BEASISWA</td>-->
<!--                                                    <td th:text="${dataRealisasiBudget[2]}">Pendapatan dari Beasiswa</td>-->
<!--                                                    <td th:text="${#numbers.formatDecimal(dataRealisasiBudget[3], 0, 'POINT', 2, 'COMMA')}" align="right">-</td>-->
<!--                                                    <td th:text="${#numbers.formatDecimal(dataRealisasiBudget[4], 0, 'POINT', 2, 'COMMA')}" align="right">-</td>-->
<!--                                                    <td th:text="${#numbers.formatDecimal(dataRealisasiBudget[5], 0, 'POINT', 2, 'COMMA')}" align="right">-</td>-->
<!--                                                </tr>-->
<!--                                                <tr>-->
<!--                                                    <td></td>-->
<!--                                                    <td></td>-->
<!--                                                    <td colspan="4">-->
<!--                                                        <table class="table table-bordered">-->
<!--                                                            <tr>-->
<!--                                                                <th>Detail</th>-->
<!--                                                                <th style="width: 150px">Budget</th>-->
<!--                                                                <th style="width: 150px">Realized</th>-->
<!--                                                                <th style="width: 150px">Available</th>-->
<!--                                                            </tr>-->
<!--                                                            <tr th:each="dataRealisasiBudgerDetail,row : ${listRealisasiBudgerDetail}">-->
<!--                                                                <td th:if="${dataRealisasiBudgerDetail[0]} == ${dataRealisasiBudget[0]}" th:text="${dataRealisasiBudgerDetail[3]}">BEASISWA</td>-->
<!--                                                                <td th:if="${dataRealisasiBudgerDetail[0]} == ${dataRealisasiBudget[0]}" th:text="${#numbers.formatDecimal(dataRealisasiBudgerDetail[4], 0, 'POINT', 2, 'COMMA')}" align="right">-</td>-->
<!--                                                                <td th:if="${dataRealisasiBudgerDetail[0]} == ${dataRealisasiBudget[0]}"  th:text="${#numbers.formatDecimal(dataRealisasiBudgerDetail[5], 0, 'POINT', 2, 'COMMA')}" align="right">-</td>-->
<!--                                                                <td th:if="${dataRealisasiBudgerDetail[0]} == ${dataRealisasiBudget[0]}"  th:text="${#numbers.formatDecimal(dataRealisasiBudgerDetail[6], 0, 'POINT', 2, 'COMMA')}" align="right">-</td>-->
<!--                                                            </tr>-->
<!--                                                        </table>-->
<!--                                                    </td>-->
<!--                                                </tr>-->
<!--                                            </table>-->
<!--                                        </td>-->
<!--                                    </tr>-->
<!--                                </table>-->

<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="box-footer clearfix">-->
<!--                        </div>-->
<!--                    </div>-->

<!--                </div>-->
<!--                &lt;!&ndash; /.tab-content &ndash;&gt;-->
<!--            </div>-->
<!--            &lt;!&ndash; /.nav-tabs-custom &ndash;&gt;-->
<!--        </div>-->
<!--    </div>-->






<!--</section>-->

<!--<section layout:fragment="footer" class="script">-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#range').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#datepicker').datepicker({-->
<!--                autoclose: true-->
<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Enable iCheck plugin for checkboxes-->
<!--            //iCheck for checkbox and radio inputs-->
<!--            $('.mailbox-messages input[type="checkbox"]').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-blue',-->
<!--                radioClass: 'iradio_flat-blue'-->
<!--            });-->

<!--            //Enable check and uncheck all functionality-->
<!--            $(".checkbox-toggle").click(function () {-->
<!--                var clicks = $(this).data('clicks');-->
<!--                if (clicks) {-->
<!--                    //Uncheck all checkboxes-->
<!--                    $(".mailbox-messages input[type='checkbox']").iCheck("uncheck");-->
<!--                    $(".fa", this).removeClass("fa-check-square-o").addClass('fa-square-o');-->
<!--                } else {-->
<!--                    //Check all checkboxes-->
<!--                    $(".mailbox-messages input[type='checkbox']").iCheck("check");-->
<!--                    $(".fa", this).removeClass("fa-square-o").addClass('fa-check-square-o');-->
<!--                }-->
<!--                $(this).data("clicks", !clicks);-->
<!--            });-->

<!--            //Handle starring for glyphicon and font awesome-->
<!--            $(".mailbox-star").click(function (e) {-->
<!--                e.preventDefault();-->
<!--                //detect type-->
<!--                var $this = $(this).find("a > i");-->
<!--                var glyph = $this.hasClass("glyphicon");-->
<!--                var fa = $this.hasClass("fa");-->

<!--                //Switch states-->
<!--                if (glyph) {-->
<!--                    $this.toggleClass("glyphicon-star");-->
<!--                    $this.toggleClass("glyphicon-star-empty");-->
<!--                }-->

<!--                if (fa) {-->
<!--                    $this.toggleClass("fa-star");-->
<!--                    $this.toggleClass("fa-star-o");-->
<!--                }-->
<!--            });-->
<!--        });-->
<!--    </script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->